%define upstream_name XML_SVG
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.0
Release:     	%mkrel 10
Summary:    	XML_SVG API
License: 	LGPL
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/XML_SVG-%{version}.tgz
URL: 		https://pear.php.net/package/XML_SVG
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
This package provides an object-oriented API for building SVG documents.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_SVG.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_SVG.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_SVG
fi

%files
%doc docs/XML_SVG/*
%{peardir}/*
%{xmldir}/XML_SVG.xml


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.0-10.mga10
+ Revision: 2208176
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.1.0-9.mga9
+ Revision: 1818279
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-8.mga8
+ Revision: 1499240
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-7.mga7
+ Revision: 1274167
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 929735
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 743893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 687518
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 517397
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 377436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 195199
- upgrade to 1.1.0
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 1.0.3-1.mga1
+ Revision: 28060
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_SVG


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 594506
- update to new version 1.0.3

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-6mdv2010.1
+ Revision: 464966
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-5mdv2010.0
+ Revision: 426675
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdv2009.1
+ Revision: 321936
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 224915
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 178560
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 82909
- Import php-pear-XML_SVG

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- 1.0.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- initial Mandriva package (PLD import)

